/**
 * (c) by aheadware.com
 */
"use strict";

var app = app || {};
app.gui = app.gui || {};

/**
 * Clockpicker
 * see:
 * https://weareoutman.github.io/clockpicker/
 */
app.gui.Clockpicker = (function()
{
    return {
        initForContent : function()
        {
            var $content = app.core.View.getContent();
            $content.find( '[data-type="clockpicker"]' ).clockpicker({
                donetext : _lc( 'OK' )
            });
        }
        ,
        destroyForContent : function()
        {
            var $content = app.core.View.getContent();
            $content.find( '[data-type="clockpicker"]' ).clockpicker( 'remove' );
        }
    }
}());